DROP TABLE IF EXISTS DOCACCESS;
CREATE TABLE DOCACCESS (
  U_ID varchar(20) NOT NULL default '',
  DF_ID varchar(255) NOT NULL default '0',
  DA_RIGHT int(11) default NULL,
  PRIMARY KEY  (U_ID,DF_ID)
) TYPE=MyISAM;

DROP TABLE IF EXISTS DOCFOLDER;
CREATE TABLE DOCFOLDER (
  DF_ID varchar(255) NOT NULL default '0',
  DF_ID_PARENT varchar(255) NOT NULL default '0',
  DF_NAME varchar(255) default NULL,
  DF_STATUS int NOT NULL default '0',
  DF_CREATEDATETIME datetime,
  DF_CREATEUSERNAME varchar(50),
  DF_MODIFYDATETIME datetime,
  DF_MODIFYUSERNAME varchar(50),
  PRIMARY KEY  (DF_ID)
) TYPE=MyISAM;

DROP TABLE IF EXISTS DOCLIST;
CREATE TABLE DOCLIST (
  DL_ID int(11) NOT NULL default '0',
  DF_ID varchar(255),
  DL_DESC text default NULL,
  DL_FILENAME varchar(255) default NULL,
  DL_FILETYPE varchar(10) default NULL,
  DL_FILESIZE int(11) default NULL,
  DL_UPLOADDATETIME datetime default NULL,
  DL_UPLOADUSERNAME varchar(50) default NULL,
  DL_MIMETYPE varchar(50) default NULL,
  DL_DISKFILENAME varchar(255) default NULL,
  DL_MODIFYDATETIME datetime default NULL,
  DL_MODIFYUSERNAME varchar(50) default NULL,
  DL_STATUSINT int(1) default NULL,
  DL_DELETE_U_ID varchar(20) null,
  DL_DELETE_DATETIME datetime null,
  DL_DELETE_USERNAME varchar(50),
  DL_CHECKSTATUS char(3),
  DL_CHECKDATETIME datetime,
  DL_CHECKUSERID varchar(20),
  DL_VERSIONCOMMENT varchar(255),
  DL_OWNER_U_ID varchar(20),
  PRIMARY KEY (DL_ID)
) TYPE=MyISAM;

DROP TABLE IF EXISTS DOCGROUPACCESS;
CREATE TABLE DOCGROUPACCESS (
  UG_ID INTEGER NOT NULL,  
  DF_ID VARCHAR(255) NOT NULL,
  DA_RIGHT INTEGER NULL,
  PRIMARY KEY (UG_ID, DF_ID)
) TYPE=MyISAM;

DROP TABLE IF EXISTS DOCLISTHISTORY;
CREATE TABLE DOCLISTHISTORY
(
  DL_ID int not null,
  DLH_VERSION int not null,
  DLH_USERNAME varchar(50) not null,
  DLH_DISKFILENAME varchar(64) not null,
  DLH_DATETIME datetime not null,
  DLH_DESC varchar(255) null,
  DLH_SIZE integer,
  PRIMARY KEY (DL_ID, DLH_VERSION)
);

INSERT INTO DOCFOLDER(DF_ID, DF_ID_PARENT, DF_NAME, DF_STATUS, DF_CREATEDATETIME, DF_CREATEUSERNAME, DF_MODIFYDATETIME, DF_MODIFYUSERNAME) VALUES('1.', 'ROOT', 'My Documents', 0, NOW(), '%SUBSCRIBER_NAME%', NOW(), '%SUBSCRIBER_NAME%' );
INSERT INTO DOCACCESS(U_ID, DF_ID, DA_RIGHT) VALUES('%SUBSCRIBER_ID%', '1.', 2);
INSERT INTO DOCACCESS(U_ID, DF_ID, DA_RIGHT) VALUES('%SUBSCRIBER_ID%', 'ROOT', 2);