DROP TABLE IF EXISTS MMACCESS;
CREATE TABLE MMACCESS (
  U_ID varchar(20) NOT NULL default '',
  MMF_ID varchar(255) NOT NULL default '',
  MMA_RIGHTS int(11) NOT NULL default '0',
  PRIMARY KEY  (U_ID,MMF_ID)
);

DROP TABLE IF EXISTS MMFOLDER;
CREATE TABLE MMFOLDER (
  MMF_ID varchar(255) NOT NULL default '',
  MMF_NAME varchar(255) NOT NULL default '',
  MMF_ID_PARENT varchar(255) default NULL,
  MMF_STATUS int(11) NOT NULL default '0',
  PRIMARY KEY  (MMF_ID)
);

DROP TABLE IF EXISTS MMGROUPACCESS;
CREATE TABLE MMGROUPACCESS (
  UG_ID int(11) NOT NULL default '0',
  MMF_ID varchar(255) NOT NULL default '',
  MMA_RIGHTS int(11) default NULL,
  PRIMARY KEY  (UG_ID,MMF_ID)
);

DROP TABLE IF EXISTS MMMESSAGE;
CREATE TABLE MMMESSAGE (
  MMM_ID int(11) NOT NULL default '0',
  MMF_ID varchar(255) NOT NULL default '',
  MMM_SUBJECT varchar(255) default NULL,
  MMM_FROM varchar(100) default NULL,
  MMM_MSGID varchar(100) default NULL,
  MMM_REPLYTO varchar(100) default NULL,
  MMM_RETURNPATH varchar(100) default NULL,
  MMM_CONTENT text,
  MMM_CONTENT_TEXT text,
  MMM_MSGSTATUS int(11) NOT NULL default '0',
  MMM_MSGTYPE int(11) NOT NULL default '0',
  MMM_PRIORITY int(11) NOT NULL default '0',
  MMM_ENCODING varchar(20) default NULL,
  MMM_ATTACHMENT text,
  MMM_IMAGES text,
  MMM_CREATEDATETIME datetime default NULL,
  MMM_CREATEUSERNAME varchar(50) default NULL,
  MMM_MODIFYDATETIME datetime NOT NULL default '0000-00-00 00:00:00',
  MMM_MODIFYUSERNAME varchar(50) default NULL,
  MMM_SENDTO text,
  MMM_SENDDATETIME datetime default NULL,
  MMM_SENDUSERNAME varchar(50) default NULL,
  MMM_STATUS int(11) default NULL,
  PRIMARY KEY  (MMM_ID)
);

DROP TABLE IF EXISTS MMMSENTTO;
CREATE TABLE MMMSENTTO (
  MMMST_ID int(11) NOT NULL auto_increment,
  MMM_ID int(11) NOT NULL default '0',
  MMMST_EMAIL varchar(100) NOT NULL default '',
  MMMST_STATUS int(11) NOT NULL default '0',
  MMMST_OPENED int(11) NOT NULL default '0',
  PRIMARY KEY  (MMMST_ID)
);

DROP TABLE IF EXISTS MMSENDER;
CREATE TABLE MMSENDER (
  MMS_ID int(11) NOT NULL auto_increment,
  MMS_FROM varchar(255) NOT NULL default '',
  MMS_EMAIL varchar(255) NOT NULL default '',
  MMS_REPLYTO varchar(255) default NULL,
  MMS_RETURNPATH varchar(255) default NULL,
  MMS_ENCODING varchar(20) default NULL,
  PRIMARY KEY  (MMS_ID)
);

INSERT INTO MMFOLDER(MMF_ID, MMF_ID_PARENT, MMF_NAME, MMF_STATUS) VALUES("1.", "ROOT", "My Messages", 0);
INSERT INTO MMACCESS(U_ID, MMF_ID, MMA_RIGHTS) VALUES ('%SUBSCRIBER_ID%', "1.", 2);
INSERT INTO MMACCESS(U_ID, MMF_ID, MMA_RIGHTS) VALUES ('%SUBSCRIBER_ID%', "ROOT", 2);
